Page MenuHomePhabricator

Text editor direction in Mobile site of Urdu wiki is incorrect
Closed, ResolvedPublic

Description

In Mobile site of urdu wiki, we are facing a problem.
When we open any article to edit, text box appear in LTR direction.

Event Timeline

MuhammadShuaib updated the task description. (Show Details)
MuhammadShuaib raised the priority of this task from to Needs Triage.
MuhammadShuaib added a subscriber: MuhammadShuaib.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 6:43 PM
Reedy set Security to None.

Change 264316 had a related patch set uploaded (by Ebrahim):
Apply correct direction and language to mobile text editor

https://gerrit.wikimedia.org/r/264316

Aklapper renamed this task from Text editor direction in Mobile site of Urdu wiki to Text editor direction in Mobile site of Urdu wiki is incorrect.Jan 17 2016, 12:24 AM
Aklapper edited projects, added MobileFrontend, RTL; removed Mobile.

Some feedback on patch

Ebraminio triaged this task as High priority.Jan 28 2016, 6:56 AM
Ebraminio added a subscriber: Ebraminio.

It is affecting mobile editing on RTL wikis badly on Chromium based browser (Desktop and Android Chrome, not Desktop Safari and iOS Chrome) so should be fixed ASAP.

Change 264316 merged by jenkins-bot:
Fetch direction and language for mobile text editor from right place

https://gerrit.wikimedia.org/r/264316

Good collaboration, all. I'm adding this to the current sprint to reflect it was worked.

Change 267168 had a related patch set uploaded (by Jdlrobson):
Fetch direction and language for mobile text editor from right place

https://gerrit.wikimedia.org/r/267168

SWAT deploy arranged.

Change 267168 merged by jenkins-bot:
Fetch direction and language for mobile text editor from right place

https://gerrit.wikimedia.org/r/267168

Jdlrobson closed this task as Resolved.

SWATed and confirmed fixed.

Direction in mobile editing again changed.

MuhammadShuaib reopened this task as Open.Feb 4 2016, 4:47 PM
Ebraminio closed this task as Resolved.Feb 5 2016, 7:52 PM

Fixed on wmf.12